Oore CI

List project environments

Environments in promotion order, each with its newest release, plus pending promotions and the most recent decided ones.

Operation IDlist_project_environments
GET
/v1/projects/{project_id}/environments

Environments in promotion order, each with its newest release, plus pending promotions and the most recent decided ones.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/environments"
{  "environments": [    {      "approval_required": true,      "approvers": {        "role": null,        "users": [          {            "email": "string",            "user_id": "string"          }        ]      },      "created_at": 0,      "id": "string",      "key": "string",      "latest_release": null,      "name": "string",      "position": 0,      "project_id": "string",      "promotable": true,      "rollout_policy": {        "approval": "none",        "crash_rate_threshold": 0,        "interval_hours": 0.1,        "steps": [          0.1        ]      },      "store": "google_play",      "submit_for_review": true,      "track": "string",      "updated_at": 0    }  ],  "promotions": [    {      "build_id": "string",      "build_number": 0,      "can_decide": true,      "created_at": 0,      "decided_at": 0,      "decided_by_email": "string",      "decision_reason": "string",      "environment_id": "string",      "environment_name": "string",      "error": "string",      "id": "string",      "project_id": "string",      "reason": "string",      "release_id": "string",      "requested_by_email": "string",      "source_environment_name": "string",      "source_release_id": "string",      "source_track": "string",      "state": "pending",      "updated_at": 0,      "version_code": 0,      "version_name": "string"    }  ]}